"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _materialUiImage = _interopRequireDefault(require("material-ui-image"));

var _grid = _interopRequireDefault(require("senswap-ui/grid"));

var _typography = _interopRequireDefault(require("senswap-ui/typography"));

var _circularProgress = _interopRequireDefault(require("senswap-ui/circularProgress"));

var _styles = _interopRequireDefault(require("./styles"));

var _logo = _interopRequireDefault(require("./logo.svg"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Brand(props) {
  var classes = (0, _styles.default)();
  var subtitle = props.subtitle;

  var onHome = function onHome() {
    window.location.href = window.location.origin;
  };

  return /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    spacing: 1,
    alignItems: "center",
    className: classes.noWrap
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    className: classes.logo,
    onClick: onHome
  }, /*#__PURE__*/_react.default.createElement(_materialUiImage.default, {
    src: _logo.default,
    color: "#00000000",
    loading: /*#__PURE__*/_react.default.createElement(_circularProgress.default, {
      size: 17
    })
  })), /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    className: classes.cursor,
    onClick: onHome
  }, subtitle ? /*#__PURE__*/_react.default.createElement(_typography.default, {
    className: classes.subtitle
  }, subtitle) : null, /*#__PURE__*/_react.default.createElement(_typography.default, null, "SenSwap")));
}

Brand.defaultProps = {
  subtitle: ''
};
Brand.propTypes = {
  subtitle: _propTypes.default.string
};
var _default = Brand;
exports.default = _default;