"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _numeral = _interopRequireDefault(require("numeral"));

var _styles = require("senswap-ui/styles");

var _grid = _interopRequireDefault(require("senswap-ui/grid"));

var _card = _interopRequireWildcard(require("senswap-ui/card"));

var _typography = _interopRequireDefault(require("senswap-ui/typography"));

var _avatar = _interopRequireWildcard(require("senswap-ui/avatar"));

var _divider = _interopRequireDefault(require("senswap-ui/divider"));

var _button = _interopRequireDefault(require("senswap-ui/button"));

var _icons = require("senswap-ui/icons");

var _styles2 = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var CardPool = /*#__PURE__*/function (_Component) {
  _inherits(CardPool, _Component);

  var _super = _createSuper(CardPool);

  function CardPool() {
    var _this;

    _classCallCheck(this, CardPool);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "onAction", function () {
      var _this$props = _this.props,
          onConnect = _this$props.onConnect,
          onDeposit = _this$props.onDeposit,
          onWithdraw = _this$props.onWithdraw;
      if (onConnect) return /*#__PURE__*/_react.default.createElement(_grid.default, {
        item: true,
        xs: 12
      }, /*#__PURE__*/_react.default.createElement(_button.default, {
        variant: "contained",
        color: "primary",
        startIcon: /*#__PURE__*/_react.default.createElement(_icons.AccountBalanceWalletOutlined, null),
        size: "large",
        onClick: onConnect,
        fullWidth: true
      }, /*#__PURE__*/_react.default.createElement(_typography.default, null, "Connect Wallet")));
      if (onDeposit && onWithdraw) return /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(_grid.default, {
        item: true,
        xs: 6
      }, /*#__PURE__*/_react.default.createElement(_button.default, {
        variant: "contained",
        color: "primary",
        startIcon: /*#__PURE__*/_react.default.createElement(_icons.InputRounded, null),
        size: "large",
        onClick: onDeposit,
        fullWidth: true
      }, /*#__PURE__*/_react.default.createElement(_typography.default, null, "Deposit"))), /*#__PURE__*/_react.default.createElement(_grid.default, {
        item: true,
        xs: 6
      }, /*#__PURE__*/_react.default.createElement(_button.default, {
        variant: "outlined",
        startIcon: /*#__PURE__*/_react.default.createElement(_icons.OpenInNewRounded, null),
        size: "large",
        onClick: onWithdraw,
        fullWidth: true
      }, /*#__PURE__*/_react.default.createElement(_typography.default, null, "Withdraw"))));
      return /*#__PURE__*/_react.default.createElement(_grid.default, {
        item: true,
        xs: 12
      }, /*#__PURE__*/_react.default.createElement(_button.default, {
        variant: "contained",
        color: "primary",
        startIcon: /*#__PURE__*/_react.default.createElement(_icons.InputRounded, null),
        size: "large",
        onClick: onDeposit,
        fullWidth: true
      }, /*#__PURE__*/_react.default.createElement(_typography.default, null, "Deposit")));
    });

    return _this;
  }

  _createClass(CardPool, [{
    key: "render",
    value: function render() {
      var classes = this.props.classes;
      var _this$props2 = this.props,
          icons = _this$props2.icons,
          symbols = _this$props2.symbols,
          volume = _this$props2.volume,
          apr = _this$props2.apr,
          stake = _this$props2.stake;
      return /*#__PURE__*/_react.default.createElement(_card.default, {
        className: classes.card
      }, /*#__PURE__*/_react.default.createElement(_card.CardContent, {
        className: classes.cardContent
      }, /*#__PURE__*/_react.default.createElement(_grid.default, {
        container: true
      }, /*#__PURE__*/_react.default.createElement(_grid.default, {
        item: true,
        xs: 12
      }, /*#__PURE__*/_react.default.createElement(_avatar.AvatarGroup, {
        max: 3
      }, icons.map(function (icon, i) {
        return /*#__PURE__*/_react.default.createElement(_avatar.default, {
          key: i,
          size: "small",
          src: icon
        });
      }))), /*#__PURE__*/_react.default.createElement(_grid.default, {
        item: true,
        xs: 12
      }, /*#__PURE__*/_react.default.createElement(_typography.default, {
        variant: "subtitle1"
      }, symbols.join('/'), " Pool")))), /*#__PURE__*/_react.default.createElement(_divider.default, null), /*#__PURE__*/_react.default.createElement(_card.CardContent, {
        className: classes.cardContent
      }, /*#__PURE__*/_react.default.createElement(_grid.default, {
        container: true,
        spacing: 1
      }, /*#__PURE__*/_react.default.createElement(_grid.default, {
        item: true,
        xs: 12
      }, /*#__PURE__*/_react.default.createElement(_typography.default, {
        variant: "body2"
      }, "Pool vol")), /*#__PURE__*/_react.default.createElement(_grid.default, {
        item: true,
        xs: 12
      }, /*#__PURE__*/_react.default.createElement(_typography.default, {
        variant: "h4"
      }, "$", (0, _numeral.default)(volume).format('0.0[00]a'), " ")))), /*#__PURE__*/_react.default.createElement(_card.CardContent, {
        className: classes.cardInfo
      }, /*#__PURE__*/_react.default.createElement(_grid.default, {
        container: true,
        spacing: 1
      }, /*#__PURE__*/_react.default.createElement(_grid.default, {
        item: true,
        xs: 6
      }, /*#__PURE__*/_react.default.createElement(_typography.default, {
        variant: "body2"
      }, "APR:")), /*#__PURE__*/_react.default.createElement(_grid.default, {
        item: true,
        xs: 6
      }, /*#__PURE__*/_react.default.createElement(_typography.default, {
        align: "right",
        variant: "body2"
      }, /*#__PURE__*/_react.default.createElement("strong", null, apr, "%"))), /*#__PURE__*/_react.default.createElement(_grid.default, {
        item: true,
        xs: 6
      }, /*#__PURE__*/_react.default.createElement(_typography.default, {
        variant: "body2"
      }, "Your stake:")), /*#__PURE__*/_react.default.createElement(_grid.default, {
        item: true,
        xs: 6
      }, /*#__PURE__*/_react.default.createElement(_typography.default, {
        align: "right",
        variant: "body2"
      }, /*#__PURE__*/_react.default.createElement("strong", null, stake))))), /*#__PURE__*/_react.default.createElement(_card.CardContent, {
        className: classes.cardAction
      }, /*#__PURE__*/_react.default.createElement(_grid.default, {
        container: true
      }, this.onAction())));
    }
  }]);

  return CardPool;
}(_react.Component);

CardPool.defaultProps = {
  symbols: [],
  icons: [],
  volume: 0,
  apr: 0,
  stake: 0
};
CardPool.propsType = {
  symbols: _propTypes.default.arrayOf(_propTypes.default.string),
  icons: _propTypes.default.arrayOf(_propTypes.default.string),
  volume: _propTypes.default.number,
  apr: _propTypes.default.number,
  stake: _propTypes.default.number,
  onConnect: _propTypes.default.func,
  onDeposit: _propTypes.default.func,
  onWithdraw: _propTypes.default.func
};

var _default = (0, _styles.withStyles)(_styles2.default)(CardPool);

exports.default = _default;