"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CarouselLeftArrow = CarouselLeftArrow;
exports.CarouselRightArrow = CarouselRightArrow;
exports.CarouselIndicator = CarouselIndicator;
exports.CarouselSlide = CarouselSlide;

var _react = _interopRequireDefault(require("react"));

var _link = _interopRequireDefault(require("senswap-ui/link"));

var _typography = _interopRequireDefault(require("senswap-ui/typography"));

var _grid = _interopRequireDefault(require("senswap-ui/grid"));

var _drain = _interopRequireDefault(require("senswap-ui/drain"));

var _icons = require("senswap-ui/icons");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function CarouselLeftArrow(props) {
  var onClick = props.onClick;
  return /*#__PURE__*/_react.default.createElement(_link.default, {
    className: "carousel-arrow carousel-arrow--left",
    onClick: onClick
  }, /*#__PURE__*/_react.default.createElement(_icons.ArrowBackIos, null));
}

function CarouselRightArrow(props) {
  var onClick = props.onClick;
  return /*#__PURE__*/_react.default.createElement(_link.default, {
    className: "carousel-arrow carousel-arrow--right",
    onClick: onClick
  }, /*#__PURE__*/_react.default.createElement(_icons.ArrowForwardIos, null));
}

function CarouselIndicator(props) {
  var index = props.index,
      activeIndex = props.activeIndex,
      onClick = props.onClick;
  return /*#__PURE__*/_react.default.createElement(_grid.default, {
    component: "li"
  }, /*#__PURE__*/_react.default.createElement(_link.default, {
    className: index === activeIndex ? "carousel-indicator carousel-indicator--active" : "carousel-indicator",
    onClick: onClick
  }));
}

function CarouselSlide(props) {
  var index = props.index,
      activeIndex = props.activeIndex,
      slide = props.slide;
  return /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    component: "li",
    className: index === activeIndex ? "carousel-slide carousel-slide--active" : "carousel-slide",
    spacing: 0
  }, slide.subtitle ? /*#__PURE__*/_react.default.createElement(_grid.default, {
    className: "carousel-subtitle",
    item: true,
    xs: 12
  }, /*#__PURE__*/_react.default.createElement(_typography.default, {
    variant: "subtitle1"
  }, slide.subtitle)) : null, /*#__PURE__*/_react.default.createElement(_grid.default, {
    className: "carousel-title",
    item: true,
    xs: 12,
    md: 6
  }, /*#__PURE__*/_react.default.createElement(_typography.default, {
    variant: "h1"
  }, slide.title)), slide.description ? /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12,
    md: 6
  }, /*#__PURE__*/_react.default.createElement(_typography.default, {
    variant: "body1"
  }, slide.description)) : null, slide.action ? /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true
  }, /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12
  }, /*#__PURE__*/_react.default.createElement(_drain.default, {
    size: 1
  })), /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12
  }, slide.action), /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12
  }, /*#__PURE__*/_react.default.createElement(_drain.default, {
    size: 8
  })))) : /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    xs: 12
  }, /*#__PURE__*/_react.default.createElement(_drain.default, {
    size: 14
  })), slide.src ? /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    component: "img",
    className: "carousel-background",
    src: slide.src
  }) : /*#__PURE__*/_react.default.createElement(_grid.default, {
    item: true,
    className: "carousel-background"
  }));
}