"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _lab = require("@material-ui/lab");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _icons = require("@material-ui/icons");

var _grid = _interopRequireDefault(require("senswap-ui/grid"));

var _typography = _interopRequireDefault(require("senswap-ui/typography"));

var _styles = _interopRequireDefault(require("./styles"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function CusPagination(props) {
  var classes = (0, _styles.default)();
  var count = props.count,
      page = props.page,
      onChangePagination = props.onChangePagination;

  var _usePagination = (0, _lab.usePagination)({
    count: count,
    page: page
  }),
      items = _usePagination.items;

  var dots = /*#__PURE__*/_react.default.createElement(_typography.default, {
    className: "dots"
  }, "\u2026");

  var btnNext = /*#__PURE__*/_react.default.createElement(_grid.default, {
    container: true,
    direction: "row"
  }, /*#__PURE__*/_react.default.createElement(_typography.default, null, "Next"), /*#__PURE__*/_react.default.createElement(_icons.Check, null));

  var btnPrevious = /*#__PURE__*/_react.default.createElement(_typography.default, null, "Previous");

  var changePagination = function changePagination(value) {
    var pages = value;
    return onChangePagination(pages);
  };

  return /*#__PURE__*/_react.default.createElement(_grid.default, null, /*#__PURE__*/_react.default.createElement(_grid.default, null, /*#__PURE__*/_react.default.createElement("nav", {
    className: classes.pagination
  }, /*#__PURE__*/_react.default.createElement("ul", null, items.map(function (_ref, index) {
    var page = _ref.page,
        type = _ref.type,
        selected = _ref.selected,
        disabled = _ref.disabled,
        onChange = _ref.onChange,
        item = _objectWithoutProperties(_ref, ["page", "type", "selected", "disabled", "onChange"]);

    var children = null;

    item.onClick = function () {
      changePagination(page);
    };

    if (type === 'start-ellipsis' || type === 'end-ellipsis') {
      children = dots;
    } else if (type === 'page') {
      children = /*#__PURE__*/_react.default.createElement("button", _extends({
        type: "button",
        className: selected ? 'selected' : ''
      }, item), page);
    } else {
      children = /*#__PURE__*/_react.default.createElement("button", _extends({
        type: "button",
        className: disabled ? 'btn-control disabled' : 'btn-control'
      }, item), type === 'next' ? btnNext : btnPrevious);
    }

    return /*#__PURE__*/_react.default.createElement("li", {
      key: index
    }, children);
  })))));
}

CusPagination.defaultProps = {
  count: 0,
  page: 1,
  size: 'small',
  isShow: false,
  shape: 'round',
  onChangePagination: function onChangePagination(e) {}
};
CusPagination.propTypes = {
  count: _propTypes.default.number,
  page: _propTypes.default.number,
  size: _propTypes.default.string,
  isShow: _propTypes.default.bool,
  shape: _propTypes.default.string,
  onChangePagination: _propTypes.default.func
};
var _default = CusPagination;
exports.default = _default;